Bug 656704 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Product: Fedora
Classification: Fedora
Component: tmux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Filipe Rosset
Fedora Extras Quality Assurance
Depends On:
Blocks: 827166
  Show dependency treegraph
Reported: 2010-11-23 18:44 EST by Lennart Poettering
Modified: 2012-05-31 15:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: tmux-1.4-4.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-04-19 23:25:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-11-23 18:44:07 EST
Your package tmux appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Fedora Update System 2011-04-16 05:44:56 EDT
tmux-1.4-4.fc15 has been submitted as an update for Fedora 15.
Comment 2 Fedora Update System 2011-04-16 22:03:39 EDT
Package tmux-1.4-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tmux-1.4-4.fc15'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-04-19 23:24:41 EDT
tmux-1.4-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.